import type React from 'react';
import type { FlatListProps, StyleProp, ViewStyle } from 'react-native';
export declare type PageScrollViewProps = Omit<FlatListProps<unknown>, 'ListFooterComponentStyle' | 'ListFooterComponent' | 'data' | 'renderItem' | 'style' | 'keyExtractor'> & {
    /** Use this to change the backgroundColor. Internally, it changes FlatList's `style` and `ListFooterComponentStyle`.
     *
     * We change `style` to have backgroundColor when iOS users overscroll with `bounces`. */
    backgroundColor?: string;
    /** The style of the View that wraps your children. Use this for styles such as paddings. */
    style?: StyleProp<ViewStyle>;
    children?: React.ReactNode;
};
export declare function PageScrollView({ backgroundColor, contentContainerStyle, children, style, ...rest }: PageScrollViewProps): JSX.Element;
